OSSP CVS Repository

ossp - Difference in ossp-pkg/sfio/etc/config.sub versions 1.2 and 1.3
Not logged in
[Honeypot]  [Browse]  [Home]  [Login]  [Reports
[Search]  [Ticket]  [Timeline
  [History

ossp-pkg/sfio/etc/config.sub 1.2 -> 1.3

--- config.sub   2000/07/03 14:15:16     1.2
+++ config.sub   2001/02/12 14:50:12     1.3
@@ -1,6 +1,10 @@
 #! /bin/sh
-# Configuration validation subroutine script, version 1.1.
-#   Copyright (C) 1991, 92-97, 1998, 1999 Free Software Foundation, Inc.
+# Configuration validation subroutine script.
+#   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
+#   Free Software Foundation, Inc.
+
+timestamp='2001-01-12'
+
 # This file is (in principle) common to ALL GNU software.
 # The presence of a machine in this file suggests that SOME GNU software
 # can handle that machine.  It does not imply ALL GNU software can.
@@ -25,6 +29,8 @@
 # configuration script generated by Autoconf, you may include it under
 # the same distribution terms that you use for the rest of that program.
 
+# Please send patches to <config-patches@gnu.org>.
+#
 # Configuration subroutine to validate and canonicalize a configuration type.
 # Supply the specified configuration type as an argument.
 # If it is invalid, we print an error message on stderr and exit with code 1.
@@ -45,30 +51,73 @@
 #       CPU_TYPE-MANUFACTURER-KERNEL-OPERATING_SYSTEM
 # It is wrong to echo any other type of specification.
 
-if [ x$1 = x ]
-then
-        echo Configuration name missing. 1>&2
-        echo "Usage: $0 CPU-MFR-OPSYS" 1>&2
-        echo "or     $0 ALIAS" 1>&2
-        echo where ALIAS is a recognized configuration type. 1>&2
-        exit 1
-fi
+me=`echo "$0" | sed -e 's,.*/,,'`
 
-# First pass through any local machine types.
-case $1 in
-        *local*)
-                echo $1
-                exit 0
-                ;;
-        *)
-        ;;
+usage="\
+Usage: $0 [OPTION] CPU-MFR-OPSYS
+       $0 [OPTION] ALIAS
+
+Canonicalize a configuration name.
+
+Operation modes:
+  -h, --help         print this help, then exit
+  -t, --time-stamp   print date of last modification, then exit
+  -v, --version      print version number, then exit
+
+Report bugs and patches to <config-patches@gnu.org>."
+
+version="\
+GNU config.sub ($timestamp)
+
+Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
+Free Software Foundation, Inc.
+
+This is free software; see the source for copying conditions.  There is NO
+warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
+
+help="
+Try \`$me --help' for more information."
+
+# Parse command line
+while test $# -gt 0 ; do
+  case $1 in
+    --time-stamp | --time* | -t )
+       echo "$timestamp" ; exit 0 ;;
+    --version | -v )
+       echo "$version" ; exit 0 ;;
+    --help | --h* | -h )
+       echo "$usage"; exit 0 ;;
+    -- )     # Stop option processing
+       shift; break ;;
+    - ) # Use stdin as input.
+       break ;;
+    -* )
+       echo "$me: invalid option $1$help"
+       exit 1 ;;
+
+    *local*)
+       # First pass through any local machine types.
+       echo $1
+       exit 0;;
+
+    * )
+       break ;;
+  esac
+done
+
+case $# in
+ 0) echo "$me: missing argument$help" >&2
+    exit 1;;
+ 1) ;;
+ *) echo "$me: too many arguments$help" >&2
+    exit 1;;
 esac
 
 # Separate what the user gave into CPU-COMPANY and OS or KERNEL-OS (if any).
 # Here we must recognize all the valid KERNEL-OS combinations.
 maybe_os=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\2/'`
 case $maybe_os in
-  linux-gnu*)
+  nto-qnx* | linux-gnu* | storm-chaos* | os2-emx*)
     os=-$maybe_os
     basic_machine=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\1/'`
     ;;
@@ -94,7 +143,7 @@
         -convergent* | -ncr* | -news | -32* | -3600* | -3100* | -hitachi* |\
         -c[123]* | -convex* | -sun | -crds | -omron* | -dg | -ultra | -tti* | \
         -harris | -dolphin | -highlevel | -gould | -cbm | -ns | -masscomp | \
-        -apple)
+        -apple | -axis)
                 os=
                 basic_machine=$1
                 ;;
@@ -105,7 +154,7 @@
         -scout)
                 ;;
         -wrs)
-                os=vxworks
+                os=-vxworks
                 basic_machine=$1
                 ;;
         -hiux*)
@@ -156,33 +205,48 @@
         -psos*)
                 os=-psos
                 ;;
+        -mint | -mint[0-9]*)
+                basic_machine=m68k-atari
+                os=-mint
+                ;;
 esac
 
 # Decode aliases for certain CPU-COMPANY combinations.
 case $basic_machine in
         # Recognize the basic CPU types without company name.
         # Some are omitted here because they have special meanings below.
-        tahoe | i860 | ia64 | m32r | m68k | m68000 | m88k | ns32k | arc | arm \
-                | arme[lb] | pyramid | mn10200 | mn10300 | tron | a29k \
+        tahoe | i860 | ia64 | m32r | m68k | m68000 | m88k | ns32k | arc \
+                | arm | arme[lb] | arm[bl]e | armv[2345] | armv[345][lb] | strongarm | xscale \
+                | pyramid | mn10200 | mn10300 | tron | a29k \
                 | 580 | i960 | h8300 \
+                | x86 | ppcbe | mipsbe | mipsle | shbe | shle \
                 | hppa | hppa1.0 | hppa1.1 | hppa2.0 | hppa2.0w | hppa2.0n \
-                | alpha | alphaev[4-7] | alphaev56 | alphapca5[67] \
-                | we32k | ns16k | clipper | i370 | sh | powerpc | powerpcle \
-                | 1750a | dsp16xx | pdp11 | mips16 | mips64 | mipsel | mips64el \
+                | hppa64 \
+                | alpha | alphaev[4-8] | alphaev56 | alphapca5[67] \
+                | alphaev6[78] \
+                | we32k | ns16k | clipper | i370 | sh | sh[34] \
+                | powerpc | powerpcle \
+                | 1750a | dsp16xx | pdp10 | pdp11 \
+                | mips16 | mips64 | mipsel | mips64el \
                 | mips64orion | mips64orionel | mipstx39 | mipstx39el \
                 | mips64vr4300 | mips64vr4300el | mips64vr4100 | mips64vr4100el \
                 | mips64vr5000 | miprs64vr5000el | mcore \
                 | sparc | sparclet | sparclite | sparc64 | sparcv9 | v850 | c4x \
-                | thumb | d10v)
+                | thumb | d10v | d30v | fr30 | avr | openrisc)
+                basic_machine=$basic_machine-unknown
+                ;;
+        m6811 | m68hc11 | m6812 | m68hc12)
+                # Motorola 68HC11/12.
                 basic_machine=$basic_machine-unknown
+                os=-none
                 ;;
-        m88110 | m680[12346]0 | m683?2 | m68360 | m5200 | z8k | v70 | h8500 | w65)
+        m88110 | m680[12346]0 | m683?2 | m68360 | m5200 | z8k | v70 | h8500 | w65 | pj | pjl)
                 ;;
 
         # We use `pc' rather than `unknown'
         # because (1) that's what they normally are, and
         # (2) the word "unknown" tends to confuse beginning users.
-        i[34567]86)
+        i[234567]86 | x86_64)
           basic_machine=$basic_machine-pc
           ;;
         # Object if more than one company name word.
@@ -192,23 +256,28 @@
                 ;;
         # Recognize the basic CPU types with company name.
         # FIXME: clean up the formatting here.
-        vax-* | tahoe-* | i[34567]86-* | i860-* | ia64-* | m32r-* | m68k-* | m68000-* \
-              | m88k-* | sparc-* | ns32k-* | fx80-* | arc-* | arm-* | c[123]* \
+        vax-* | tahoe-* | i[234567]86-* | i860-* | ia64-* | m32r-* | m68k-* | m68000-* \
+              | m88k-* | sparc-* | ns32k-* | fx80-* | arc-* | c[123]* \
+              | arm-*  | armbe-* | armle-* | armv*-* | strongarm-* | xscale-* \
               | mips-* | pyramid-* | tron-* | a29k-* | romp-* | rs6000-* \
               | power-* | none-* | 580-* | cray2-* | h8300-* | h8500-* | i960-* \
               | xmp-* | ymp-* \
-              | hppa-* | hppa1.0-* | hppa1.1-* | hppa2.0-* | hppa2.0w-* | hppa2.0n-* \
-              | alpha-* | alphaev[4-7]-* | alphaev56-* | alphapca5[67]-* \
+              | x86-* | ppcbe-* | mipsbe-* | mipsle-* | shbe-* | shle-* \
+              | hppa-* | hppa1.0-* | hppa1.1-* | hppa2.0-* | hppa2.0w-* \
+              | hppa2.0n-* | hppa64-* \
+              | alpha-* | alphaev[4-8]-* | alphaev56-* | alphapca5[67]-* \
+              | alphaev6[78]-* \
               | we32k-* | cydra-* | ns16k-* | pn-* | np1-* | xps100-* \
               | clipper-* | orion-* \
-              | sparclite-* | pdp11-* | sh-* | powerpc-* | powerpcle-* \
+              | sparclite-* | pdp10-* | pdp11-* | sh-* | powerpc-* | powerpcle-* \
               | sparc64-* | sparcv9-* | sparc86x-* | mips16-* | mips64-* | mipsel-* \
               | mips64el-* | mips64orion-* | mips64orionel-* \
               | mips64vr4100-* | mips64vr4100el-* | mips64vr4300-* | mips64vr4300el-* \
               | mipstx39-* | mipstx39el-* | mcore-* \
-              | f301-* | armv*-* | t3e-* \
+              | f30[01]-* | f700-* | s390-* | sv1-* | t3e-* \
               | m88110-* | m680[01234]0-* | m683?2-* | m68360-* | z8k-* | d10v-* \
-              | thumb-* | v850-* | d30v-* | tic30-* | c30-* )
+              | thumb-* | v850-* | d30v-* | tic30-* | c30-* | fr30-* \
+              | bs2000-* | tic54x-* | c54x-* | x86_64-*)
                 ;;
         # Recognize the various machine names and aliases which stand
         # for a CPU type and a company and sometimes even an OS.
@@ -245,14 +314,14 @@
                 os=-sysv
                 ;;
         amiga | amiga-*)
-                basic_machine=m68k-cbm
+                basic_machine=m68k-unknown
                 ;;
         amigaos | amigados)
-                basic_machine=m68k-cbm
+                basic_machine=m68k-unknown
                 os=-amigaos
                 ;;
         amigaunix | amix)
-                basic_machine=m68k-cbm
+                basic_machine=m68k-unknown
                 os=-sysv4
                 ;;
         apollo68)
@@ -306,6 +375,9 @@
         crds | unos)
                 basic_machine=m68k-crds
                 ;;
+        cris | cris-* | etrax*)
+                basic_machine=cris-axis
+                ;;
         da30 | da30-*)
                 basic_machine=m68k-da30
                 ;;
@@ -353,6 +425,10 @@
                 basic_machine=tron-gmicro
                 os=-sysv
                 ;;
+        go32)
+                basic_machine=i386-pc
+                os=-go32
+                ;;
         h3050r* | hiux*)
                 basic_machine=hppa1.1-hitachi
                 os=-hiuxwe2
@@ -426,7 +502,6 @@
                 ;;
         i370-ibm* | ibm*)
                 basic_machine=i370-ibm
-                os=-mvs
                 ;;
 # I'm not sure what "Sysv32" means.  Should this be sysv3.2?
         i[34567]86v32)
@@ -453,14 +528,6 @@
                 basic_machine=i386-unknown
                 os=-vsta
                 ;;
-        i386-go32 | go32)
-                basic_machine=i386-unknown
-                os=-go32
-                ;;
-        i386-mingw32 | mingw32)
-                basic_machine=i386-unknown
-                os=-mingw32
-                ;;
         iris | iris4d)
                 basic_machine=mips-sgi
                 case $os in
@@ -486,10 +553,14 @@
                 basic_machine=ns32k-utek
                 os=-sysv
                 ;;
+        mingw32)
+                basic_machine=i386-pc
+                os=-mingw32
+                ;;
         miniframe)
                 basic_machine=m68000-convergent
                 ;;
-        *mint | *MiNT)
+        *mint | -mint[0-9]* | *MiNT | *MiNT[0-9]*)
                 basic_machine=m68k-atari
                 os=-mint
                 ;;
@@ -507,14 +578,22 @@
         mips3*)
                 basic_machine=`echo $basic_machine | sed -e 's/mips3/mips64/'`-unknown
                 ;;
+        mmix*)
+                basic_machine=mmix-knuth
+                os=-mmixware
+                ;;
         monitor)
                 basic_machine=m68k-rom68k
                 os=-coff
                 ;;
         msdos)
-                basic_machine=i386-unknown
+                basic_machine=i386-pc
                 os=-msdos
                 ;;
+        mvs)
+                basic_machine=i370-ibm
+                os=-mvs
+                ;;
         ncr3000)
                 basic_machine=i486-ncr
                 os=-sysv4
@@ -524,7 +603,7 @@
                 os=-netbsd
                 ;;
         netwinder)
-                basic_machine=armv4l-corel
+                basic_machine=armv4l-rebel
                 os=-linux
                 ;;
         news | news700 | news800 | news900)
@@ -572,9 +651,16 @@
                 basic_machine=i960-intel
                 os=-mon960
                 ;;
+        nonstopux)
+                basic_machine=mips-compaq
+                os=-nonstopux
+                ;;
         np1)
                 basic_machine=np1-gould
                 ;;
+        nsr-tandem)
+                basic_machine=nsr-tandem
+                ;;
         op50n-* | op60c-*)
                 basic_machine=hppa1.1-oki
                 os=-proelf
@@ -604,28 +690,28 @@
         pc532 | pc532-*)
                 basic_machine=ns32k-pc532
                 ;;
-        pentium | p5 | k5 | k6 | nexen)
+        pentium | p5 | k5 | k6 | nexgen)
                 basic_machine=i586-pc
                 ;;
-        pentiumpro | p6 | 6x86)
+        pentiumpro | p6 | 6x86 | athlon)
                 basic_machine=i686-pc
                 ;;
         pentiumii | pentium2)
-                basic_machine=i786-pc
+                basic_machine=i686-pc
                 ;;
-        pentium-* | p5-* | k5-* | k6-* | nexen-*)
+        pentium-* | p5-* | k5-* | k6-* | nexgen-*)
                 basic_machine=i586-`echo $basic_machine | sed 's/^[^-]*-//'`
                 ;;
-        pentiumpro-* | p6-* | 6x86-*)
+        pentiumpro-* | p6-* | 6x86-* | athlon-*)
                 basic_machine=i686-`echo $basic_machine | sed 's/^[^-]*-//'`
                 ;;
         pentiumii-* | pentium2-*)
-                basic_machine=i786-`echo $basic_machine | sed 's/^[^-]*-//'`
+                basic_machine=i686-`echo $basic_machine | sed 's/^[^-]*-//'`
                 ;;
         pn)
                 basic_machine=pn-gould
                 ;;
-        power)  basic_machine=rs6000-ibm
+        power)  basic_machine=power-ibm
                 ;;
         ppc)    basic_machine=powerpc-unknown
                 ;;
@@ -640,6 +726,10 @@
         ps2)
                 basic_machine=i386-ibm
                 ;;
+        pw32)
+                basic_machine=i586-unknown
+                os=-pw32
+                ;;
         rom68k)
                 basic_machine=m68k-rom68k
                 os=-coff
@@ -719,17 +809,22 @@
         sun386 | sun386i | roadrunner)
                 basic_machine=i386-sun
                 ;;
+        sv1)
+                basic_machine=sv1-cray
+                os=-unicos
+                ;;
         symmetry)
                 basic_machine=i386-sequent
                 os=-dynix
                 ;;
-        s390*)
-                basic_machine=s390-ibm
-                ;;
         t3e)
                 basic_machine=t3e-cray
                 os=-unicos
                 ;;
+        tic54x | c54x*)
+                basic_machine=tic54x-unknown
+                os=-coff
+                ;;
         tx39)
                 basic_machine=mipstx39-unknown
                 ;;
@@ -825,12 +920,19 @@
         vax)
                 basic_machine=vax-dec
                 ;;
+        pdp10)
+                # there are many clones, so DEC is not a safe bet
+                basic_machine=pdp10-unknown
+                ;;
         pdp11)
                 basic_machine=pdp11-dec
                 ;;
         we32k)
                 basic_machine=we32k-att
                 ;;
+        sh3 | sh4)
+                basic_machine=sh-unknown
+                ;;
         sparc | sparcv9)
                 basic_machine=sparc-sun
                 ;;
@@ -853,8 +955,6 @@
                 basic_machine=c4x-none
                 os=-coff
                 ;;
-        BS2000-siemens)
-                ;;
         *)
                 echo Invalid configuration \`$1\': machine \`$basic_machine\' not recognized 1>&2
                 exit 1
@@ -913,12 +1013,26 @@
               | -udi* | -eabi* | -lites* | -ieee* | -go32* | -aux* \
               | -cygwin* | -pe* | -psos* | -moss* | -proelf* | -rtems* \
               | -mingw32* | -linux-gnu* | -uxpv* | -beos* | -mpeix* | -udk* \
-              | -interix* | -uwin* | -rhapsody* | -openstep* | -oskit*)
+              | -interix* | -uwin* | -rhapsody* | -darwin* | -opened* \
+              | -openstep* | -oskit* | -conix* | -pw32* | -nonstopux* \
+              | -storm-chaos* | -tops10* | -tenex* | -tops20* | -its* | -os2*)
         # Remember, each alternative MUST END IN *, to match a version number.
                 ;;
+        -qnx*)
+                case $basic_machine in
+                    x86-* | i[34567]86-*)
+                        ;;
+                    *)
+                        os=-nto$os
+                        ;;
+                esac
+                ;;
+        -nto*)
+                os=-nto-qnx
+                ;;
         -sim | -es1800* | -hms* | -xray | -os68k* | -none* | -v88r* \
               | -windows* | -osx | -abug | -netware* | -os9* | -beos* \
-              | -macos* | -mpw* | -magic* | -mon960* | -lnews*)
+              | -macos* | -mpw* | -magic* | -mmixware* | -mon960* | -lnews*)
                 ;;
         -mac*)
                 os=`echo $os | sed -e 's|mac|macos|'`
@@ -932,6 +1046,12 @@
         -sunos6*)
                 os=`echo $os | sed -e 's|sunos6|solaris3|'`
                 ;;
+        -opened*)
+                os=-openedition
+                ;;
+        -wince*)
+                os=-wince
+                ;;
         -osfrose*)
                 os=-osfrose
                 ;;
@@ -956,6 +1076,9 @@
         -ns2 )
                 os=-nextstep2
                 ;;
+        -nsk*)
+                os=-nsk
+                ;;
         # Preserve the version number of sinix5.
         -sinix5.*)
                 os=`echo $os | sed -e 's|sinix|sysv|'`
@@ -990,7 +1113,7 @@
         -xenix)
                 os=-xenix
                 ;;
-        -*mint | -*MiNT)
+        -*mint | -mint[0-9]* | -*MiNT | -MiNT[0-9]*)
                 os=-mint
                 ;;
         -none)
@@ -1018,12 +1141,15 @@
         *-acorn)
                 os=-riscix1.2
                 ;;
-        arm*-corel)
+        arm*-rebel)
                 os=-linux
                 ;;
         arm*-semi)
                 os=-aout
                 ;;
+        pdp10-*)
+                os=-tops20
+                ;;
         pdp11-*)
                 os=-none
                 ;;
@@ -1132,7 +1258,7 @@
         *-masscomp)
                 os=-rtu
                 ;;
-        f301-fujitsu)
+        f30[01]-fujitsu | f700-fujitsu)
                 os=-uxpv
                 ;;
         *-rom68k)
@@ -1192,7 +1318,7 @@
                         -genix*)
                                 vendor=ns
                                 ;;
-                        -mvs*)
+                        -mvs* | -opened*)
                                 vendor=ibm
                                 ;;
                         -ptx*)
@@ -1210,7 +1336,7 @@
                         -mpw* | -macos*)
                                 vendor=apple
                                 ;;
-                        -*mint | -*MiNT)
+                        -*mint | -mint[0-9]* | -*MiNT | -MiNT[0-9]*)
                                 vendor=atari
                                 ;;
                 esac
@@ -1220,3 +1346,10 @@
 
 echo $basic_machine$os
 exit 0
+
+# Local variables:
+# eval: (add-hook 'write-file-hooks 'time-stamp)
+# time-stamp-start: "timestamp='"
+# time-stamp-format: "%:y-%02m-%02d"
+# time-stamp-end: "'"
+# End:

CVSTrac 2.0.1